Bug 1439178 - Review Request: quazip-qt5 - Qt5 wrapper for the minizip library
Summary: Review Request: quazip-qt5 - Qt5 wrapper for the minizip library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 11:33 UTC by Dan Horák
Modified: 2017-05-10 08:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-10 08:36:57 UTC
Type: ---
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Dan Horák 2017-04-05 11:33:44 UTC
Spec URL: http://fedora.danny.cz/quazip-qt5.spec
SRPM URL: http://fedora.danny.cz/quazip-qt5-0.7.3-1.el7.src.rpm

Description:
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.


Fedora Account System Username: sharkcz

Note: this is EPEL-7 only package adding Qt5 support, cloned from the Fedora quazip package

Comment 1 James Hogarth 2017-04-19 22:23:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/james/workspace
  /fedora-scm/1439178-quazip-qt5/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

  * Can you please confirm the source of your tarball as it differs from upstream

    27e4316e41b4368e30f4d013a2fe8010  1439178-quazip-qt5/upstream-unpacked/Source0/quazip-0.7.3.tar.gz
    2ba7dd8b1d6dd588374c9fab5c46e76e  1439178-quazip-qt5/srpm-unpacked/quazip-0.7.3.tar.gz

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

  * %license works on EPEL7 so it should be used rather than %doc

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1474560 bytes in 204 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

  * The doc is in devel so I consider this one optional, but it'd be good practice to move to -doc (or -devel-doc if it's only dev related)

- Spec states LGPLv2+ or GPLv2+ but the README and COPYING files indicate LGPL 2.1

  * Please confirm the copyright status and update the spec header accordingly

- There are unowned directories included which need to be owned properly

  * Either the -devel package needs to require cmake3-data (which feels wrong given development doesn't require cmake)
    or the -devel package needs to own /usr/share/cmake3 and /usr/share/cmake3/Modules.
  * https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
  * https://fedoraproject.org/wiki/Packaging:UnownedDirectories



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "LGPL (v2 or later)", "LGPL (v2.1)",
     "Unknown or generated", "zlib/libpng". 264 files have unknown license.
     Detailed output of licensecheck in /home/james/workspace/fedora-
     scm/1439178-quazip-qt5/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/cmake3/Modules, /usr/share/cmake3
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/cmake3,
     /usr/share/cmake3/Modules
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in quazip-
     qt5-devel , quazip-qt5-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1658880 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: quazip-qt5-0.7.3-1.el7.centos.x86_64.rpm
          quazip-qt5-devel-0.7.3-1.el7.centos.x86_64.rpm
          quazip-qt5-debuginfo-0.7.3-1.el7.centos.x86_64.rpm
          quazip-qt5-0.7.3-1.el7.centos.src.rpm
quazip-qt5.x86_64: W: spelling-error Summary(en_US) minizip -> mini zip, mini-zip, minimize
quazip-qt5.x86_64: W: incoherent-version-in-changelog 0.7.3-1 ['0.7.3-1.el7.centos', '0.7.3-1.centos']
quazip-qt5-devel.x86_64: W: only-non-binary-in-usr-lib
quazip-qt5.src: W: spelling-error Summary(en_US) minizip -> mini zip, mini-zip, minimize
quazip-qt5.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 1)
quazip-qt5.src: W: file-size-mismatch quazip-0.7.3.tar.gz = 439536, http://downloads.sourceforge.net/quazip-qt5/quazip-0.7.3.tar.gz = 44064
4 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: quazip-qt5-debuginfo-0.7.3-1.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
quazip-qt5.x86_64: W: incoherent-version-in-changelog 0.7.3-1 ['0.7.3-1.el7.centos', '0.7.3-1.centos']
quazip-qt5.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libquazip5.so.1.0.0 /lib64/libm.so.6
quazip-qt5-debuginfo.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
quazip-qt5-devel (rpmlib, GLIBC filtered):
    libquazip5.so.1()(64bit)
    qt5-qtbase-devel(x86-64)
    quazip-qt5(x86-64)

quazip-qt5 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

quazip-qt5-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
quazip-qt5-devel:
    quazip-qt5-devel
    quazip-qt5-devel(x86-64)

quazip-qt5:
    libquazip5.so.1()(64bit)
    quazip-qt5
    quazip-qt5(x86-64)

quazip-qt5-debuginfo:
    quazip-qt5-debuginfo
    quazip-qt5-debuginfo(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/quazip-qt5/quazip-0.7.3.tar.gz :
  CHECKSUM(SHA256) this package     : 2ad4f354746e8260d46036cde1496c223ec79765041ea28eb920ced015e269b5
  CHECKSUM(SHA256) upstream package : 08532f169720923a8948c288687d3cb970e5c9595e2179356e00ed52b45b4eff
diff -r also reports differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1439178
Buildroot used: epel-7-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


==== Summary =====

The license, directory ownership and tarball differing are the blockers. The -doc is an optional nicety. 

For those reasons this is NOT APPROVED ... fix them up and it'll be fine.

Comment 2 Dan Horák 2017-04-20 11:43:53 UTC
Updated Spec URL: http://fedora.danny.cz/quazip-qt5.spec
Updated SRPM URL: http://fedora.danny.cz/quazip-qt5-0.7.3-2.el7.src.rpm


changes
- wrong checksum was caused by wrong Source0 URL
- fixed License, it's LPGLv2+
- marked COPYING as %license
- own cmake dirs for storing modules

I would prefer to keep the docs in the devel subpackage to be close to the regular quazip package.

Comment 3 James Hogarth 2017-04-20 15:57:59 UTC
Great, I've tested and based on those changes this is APPROVED

Comment 4 Gwyn Ciesla 2017-04-20 16:53:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/quazip-qt5

Comment 5 Fedora Update System 2017-04-20 18:57:27 UTC
quazip-qt5-0.7.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7788d4f456

Comment 6 Fedora Update System 2017-04-22 21:47:46 UTC
qmapshack-1.8.0-1.el7, quazip-qt5-0.7.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7788d4f456

Comment 7 Fedora Update System 2017-05-10 08:36:57 UTC
qmapshack-1.8.0-1.el7, quazip-qt5-0.7.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.